$fn= 30;

font = "Liberation Sans";
letter_size = 10;
letter_height = 2.5;

module letter(l) {
	linear_extrude(height = letter_height) {
		text(l, size = letter_size, font = font, halign = "center", valign = "center", $fn = 20);
	}
}

module bottom() {
difference() {
  difference() {
   difference() {
    cube([110,80,2]);
    translate([15,15,0]) {
  cylinder(5,2.5,2.5);
    }
   }
   translate([95,15,0]) {
  cylinder(5,2.5,2.5);
   }
  }
 translate([25,60,0]) {
  cylinder(5,2.5,2.5);
 }
}
}

module top() {
difference() {
 translate([0,0,2]) {
  cube([110,80,28]);
 }
 translate([2,2,0]) {
   cube([106,76,28]);
 }
}
}

module mainbox() {
  bottom();
  difference() {
   top();
   translate([0,0,2]) {
    cube([110,20,28]);
   }
  }
}

module wholebox() {
difference() {
  difference() {
    mainbox();
    translate([4,50,0]) {
      cylinder(30,2,2);
    }
  }
  translate([106,50,0]) {
    cylinder(30,2,2);
  }
} 
}


bottom();
letter_size = 3;
letter_height = 1.5;
translate([55,33,2]) {
  letter("Sensor Out=D3,+ to 3.3v, - to GND");
}
translate([57,2,2]) {
  letter("Vin=5v, Doors D1, D2 & both to GND");
}
